/* all of the stuff like texturing the wireframes of entities will go here */

void render_entity(struct entity* e)
{
	switch (e->texture)
	{
		case VOID_CAT:
			/* TODO draw a bunch of black blobs around the hitbox */
			printf("TODO: apply void cat texture to entity \n");
			break;
		default: /* error */
	}
}
